Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.rms
Interface IRecordStoreManager

All Superinterfaces:
  INorFlashMemoryHeapScanner

All Known Implementing Classes:
  RecordStoreManager

    public interface IRecordStoreManager

extends INorFlashMemoryHeapScanner

Method Summary
`boolean` | `deleteRecordStore(String name)`
`IRmsEntry` | `getEntryAt(Address address)`
`long` | `getErasedSequenceCurrentValue()`
`IRecordStoreEntry` | `getRecordStore(String name, boolean createIfNecessary)`
`String[]` | `getRecordStoreNames()`
`int` | `getSizeAvailable()`
`void` | `invalidateEntryAt(Address address)`
`Address` | `logEntry(IRmsEntry entry)`

Methods inherited from interface com.sun.squawk.flash.INorFlashMemoryHeapScanner
`reScanBlock, scanBlock`

Method Detail

### deleteRecordStore

    boolean deleteRecordStore(String name)
                              throws RecordStoreException

  Throws:
    `RecordStoreException`

### getRecordStore

    IRecordStoreEntry getRecordStore(String name,
                                     boolean createIfNecessary)
                                     throws RecordStoreException

  Throws:
    `RecordStoreException`

### getRecordStoreNames

    String[] getRecordStoreNames()

### getSizeAvailable

    int getSizeAvailable()
                         throws RecordStoreException

  Throws:
    `RecordStoreException`

### getEntryAt

    IRmsEntry getEntryAt(Address address)
                         throws RecordStoreException

  Throws:
    `RecordStoreException`

### getErasedSequenceCurrentValue

    long getErasedSequenceCurrentValue()

### invalidateEntryAt

    void invalidateEntryAt(Address address)
                           throws RecordStoreException

  Throws:
    `RecordStoreException`

### logEntry

    Address logEntry(IRmsEntry entry)
                     throws RecordStoreException

  Throws:
    `RecordStoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"